// VARIABLE DECLARATION SECTION
/////////////////////////////////////////////
// 5b Step 2. FILL IN THE LIGHT PIN AND THE BUZZER PIN

// Light sensor pin
int lightPin = ?;
//Buzzer pin
int buzzerPin = ?;

//NOW SCROLL TO THE BOTTOM OF THE FILE
////////////////////////////////////////////

#include "pitches.h"
int buttonPin = 14;
int buttonState = 0;         // variable for reading the left pushbutton status

// include the library code for LCD:
#include <LiquidCrystal.h>
LiquidCrystal lcd(6, 7, 8, 2, 3, 4, 5);

// variable to hold sensor value
int sensorValue;
// variable to calibrate low value
int sensorLow = 1023;
// variable to calibrate high value
int sensorHigh = 0;

void setup() {
  // prep the button
  digitalWrite(buttonPin, HIGH);
  
  lcd.begin(16, 2);
  lcd.setCursor(0,0);
  lcd.print("Prepare for ");
  lcd.setCursor(0,1);
  lcd.print("calibration"); 
  delay(2000);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Keep clear of");
  lcd.setCursor(0,1);
  lcd.print("light sensor");  
  
  // SETUP SECTION
  // calibrate for the first five seconds after program runs
  while (millis() < 7000) {
    if ((millis() > 3500) && (millis() < 3700)){
      lcd.clear();
      lcd.setCursor(0,0);
      lcd.print("Cover");
      lcd.setCursor(0,1);
      lcd.print("light sensor");
    }
    // record the maximum sensor value
    sensorValue = analogRead(A7);
    if (sensorValue > sensorHigh) {
      sensorHigh = sensorValue;
    }
    // record the minimum sensor value
    if (sensorValue < sensorLow) {
      sensorLow = sensorValue;
    }
  }
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Calibration Done");
  delay(3000);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Press button to");
  lcd.setCursor(0,1);
  lcd.print("play music");
}

// LOOP SECTION
void loop() {
  buttonState = digitalRead(buttonPin);

  // Check if the left button is pushed
  if (buttonState == LOW) {
    //read the input from A0 and store it in a variable
    sensorValue = analogRead(lightPin);
  
    // 5b Step 5 and 6. CHANGE THE NOTE_A3 AND NOTE_A6 TO OTHER NOTES
    int pitch = map(sensorValue, sensorLow, sensorHigh, NOTE_A3, NOTE_A6);
  
    // play the tone for 20 ms on pin 8
    tone(buzzerPin, pitch, 20);
      // wait for a moment
    delay(10);
  }
}

